安全研究

威胁通告
ElectronJs远程代码执行漏洞 (CVE-2018-1000006)
综述
近日,使用自定义协议处理程序(custom protocol handlers)的Electron应用程序被发现存在一个远程执行代码漏洞。该漏洞源于应用程序在设计时,将自身注册为协议的默认处理程序(例如myapp://),无论协议是如何注册的,例如本机代码,Windows注册表或者Electron的app.setAsDefaultProtocolClient的API,都会受到影响。
相关链接:
https://electronjs.org/blog/protocol-handler-fix

受影响的版本

 Electron version < v1.8.2-beta.4

 Electron version < v1.7.11
 Electron version < v1.6.16

仅有Windows平台受到该漏洞影响。


不受影响的版本
 Electron version  v1.8.2-beta.4
 Electron version  v1.7.11
 Electron version  v1.6.16


解决方案

Electron官方已经发布了最新版本,修复了上述漏洞,受影响的用户请尽快更新升级进行防护。
v1.8.2-beta.4
https://github.com/electron/electron/releases/tag/v1.8.2-beta.4
v1.7.11
https://github.com/electron/electron/releases/tag/v1.7.11
v1.6.16
https://github.com/electron/electron/releases/tag/v1.6.16

若用户暂时不便升级,可以在调用app.setAsDefaultProtocolClient的API时,附加--作为最后的参数。--表示着命令选项的结束,可以防止潜在的恶意选项。



参考链接:

https://electronjs.org/docs/api/app#appsetasdefaultprotocolclientprotocol-path-args-macos-windows


声 明

本安全公告仅用来描述可能存在的安全问题,绿盟科技不为此安全公告提供任何保证或承诺。由于传播、利用此安全公告所提供的信息而造成的任何直接或者间接的后果及损失,均由使用者本人负责,绿盟科技以及安全公告作者不为此承担任何责任。绿盟科技拥有对此安全公告的修改和解释权。如欲转载或传播此安全公告,必须保证此安全公告的完整性,包括版权声明等全部内容。未经绿盟科技允许,不得任意修改或者增减此安全公告内容,不得以任何方式将其用于商业目的。


浏览次数:

关 闭